@import "../../../css/src/vars";
@import "src/vars";
@import "../../../css/style";
@import "src/tables";

a {
  //color: #8bc34a;
  color: @mainThemeColor;
}

body {
  overflow: hidden;
}

h1.page-title{
  background: #FFF;
  border-bottom: none;
  border-top: none;
  border-left: 4px solid @mainThemeColor;
  margin-left: 15px;
  margin-right: 15px;
  box-shadow: @mainBoxShadow;
  color: #8A4739;

  i{
    color: #8A4739;
  }
}

.panel, fieldset, .little-panel .title {
  box-shadow: @mainBoxShadow;
  -webkit-transition: 0.2s ease-out;
  -moz-transition: 0.2s ease-out;
  -o-transition: 0.2s ease-out;
  -ms-transition: 0.2s ease-out;
  transition: 0.2s ease-out;
}

fieldset:hover {
  box-shadow: @mainBoxShadowHover;
}

.little-panel{
  .title{
    background-color: @mainThemeColor;

    &:hover {
      box-shadow: @mainBoxShadowHover;
    }
  }

}

fieldset {
  border: none;

  -webkit-transition: 0.2s ease-out;
  -moz-transition: 0.2s ease-out;
  -o-transition: 0.2s ease-out;
  -ms-transition: 0.2s ease-out;
  transition: 0.2s ease-out;
}

.form-control:focus,
.selectize-input.focus {
  border-color: #8bc34a;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(139,195,74,0.6);
  -moz-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(139,195,74,0.6);
  box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(139,195,74,0.6);
}

.btn{
  border: none;
  box-shadow: @mainBoxShadow;

  -webkit-transition: 0.2s ease-out;
  -moz-transition: 0.2s ease-out;
  -o-transition: 0.2s ease-out;
  -ms-transition: 0.2s ease-out;
  transition: 0.2s ease-out;

  &:not(:disabled):hover {
    box-shadow: @mainBoxShadowHover;
  }
}

.btn-submit {
  background-color: @activeBackgroundColor;
  color: @activeColor;

  &:not(:disabled) {
    &:hover {
      background-color: #6f8e9c;
    }
  }

  &:hover {
    color: @activeColor;
  }

  &:active,
  &:focus {
    color: @activeColor;
  }
}

/**
 * Custom Full Calendar
 */
.fc[calendar]{
  .fc-toolbar{
    >*{
      >*{
        margin-left: 0px;
      }
    }
  }

  .fc-button-group{
    >*{
      margin: 0 auto;
    }
  }

  .fc-left, .fc-right{
    box-shadow: @mainBoxShadow;
  }

  button.fc-button{
    .btn;
    .btn-submit;
    background-image: none;
    padding: 8px 14px;
    height: auto;
    box-shadow: none;
    text-shadow: none;

    &.fc-state-active{
      background-color: @navMenuItemBackgroundColorHover;
    }
  }
}

/**
 * Menu header
 */
.header-container{
  color: #FFF;
  border-bottom: none;
  z-index: 2000;

  .user-header{
    .avatar{
      border: 2px solid rgb(255, 255, 255);
      border-radius: 20px;
    }
  }
}

.layout-container{
  display: block;
  .nav-container{
    height: @navbarTopHeight;
    z-index: 1000;
    display: table;
    background: #FFF;
    //border-bottom: 1px solid @navMenuBorderColor;
    box-shadow: 0 8px 12px -9px rgba(0,0,0,0.5);

    .nav-scroller{
      left: 0;
      right: 0;
      width: 100%;
      z-index: 1000;
      background: #FFF;
      //border-bottom: 1px solid @navMenuBorderColor;

      ul.nav{
        float: left;
        border-bottom: none;

        li{
          float: left;

          a{
            background-color: #FFF;
            color: #8A4739;
            text-align: center;

            > .nav-link-icon {
              display: block;
            }

            i:first-child{
              margin-bottom: 5px;
            }
          }

          &.open {
            a {
              background: #456357;
              color: #FEFEFE;
            }
          }

          ul.nav{
            position: fixed;

            &.open{
              width: 100%;
              left: 0;
              box-shadow: 0px 4px 5px 0px rgba(0, 0, 0, 0.5);
              background: #456357;

              li a {
                background: #456357;
                color: #FEFEFE;
              }
            }

            li{
              float: left;

              a{
                &:hover{
                  color: #6ED6AF;
                }
              }
            }
          }
        }
      }
    }
  }

  .content-container {
    display: block;
    height: calc(100% - 64px);
  }
}

@media (min-width: 1200px){
  .layout-container {
    .nav-container {
      width: 100%;
    }
  }
}

@media (min-width: 768px){
  .layout-container {
    .nav-container {
      width: 100%;
      .nav {
        .nav {
          li {
            a {
              padding-left: 15px;

              >span{
                display: inline-block;
              }
            }
          }
        }
      }
    }
  }
}

@media (max-width: 767px){
  .layout-container{
    padding-top: inherit;

    .nav-container{
      display: none;
      width: 100%;
      .nav-scroller{
        ul.nav{
          float: none;
          width: 100%;

          li{
            float: none;

            a{
              text-align: left;
            }

            ul.nav.open{
              width: 100%;
              border: inherit;
              position: relative;
              background-color: @navSubMenuItemBackgroundColor;

              li{
                border-left: 8px solid #333;
              }
            }
          }
        }
      }
    }
  }
}

@media(min-width: 752px){
  .layout-container {
    .nav-container {
      width: 100%;
      .nav {
        li {
          a {
            i:first-child {
              display: block;
              width: 100%;
              font-size: 22px;
            }

            i.nav-arrow{
              display: inline-block;
            }

            i.nav-arrow{
              margin-left: 5px;
            }
          }
        }
      }
    }
  }
}

.tooltip {
  white-space: pre-wrap;
  z-index: 3000 !important;
}

.popover-content{
  z-index: 3000 !important;
}